advban.admin_page:
  path: '/admin/config/people/advban/{ban_id}'
  defaults:
    _form: '\Drupal\advban\Form\AdvbanAdmin'
    _title: 'Advanced IP address bans'
    ban_id: NULL
  requirements:
    _permission: 'advanced ban IP addresses'

advban.delete:
  path: '/admin/config/people/advban/delete/{ban_id}'
  defaults:
    _form: '\Drupal\advban\Form\AdvbanDelete'
    _title: 'Delete IP address'
  requirements:
    _permission: 'advanced ban IP addresses'

advban.delete_all:
  path: '/admin/config/people/advban/delete_all'
  defaults:
    _form: '\Drupal\advban\Form\AdvbanDeleteAll'
    _title: 'Delete All IP addresses'
  requirements:
    _permission: 'advanced ban IP addresses'

advban.settings:
  path: '/admin/config/people/advban/settings'
  defaults:
    _form: '\Drupal\advban\Form\AdvbanSettingsForm'
    _title: 'Advanced ban settings'
  requirements:
    _permission: 'advanced ban IP addresses'

advban.search:
  path: '/admin/config/people/advban/search'
  defaults:
    _form: '\Drupal\advban\Form\AdvbanSearchForm'
    _title: 'Search IP'
  requirements:
    _permission: 'advanced ban IP addresses'
